package com.ruoyi.bst.dsLog.service;

import java.util.List;

import com.ruoyi.bst.dsLog.domain.DsLog;
import com.ruoyi.bst.dsLog.domain.DsLogQuery;
import com.ruoyi.bst.dsLog.domain.DsLogVO;

/**
 * 数据日志Service接口
 *
 * @author ruoyi
 * @date 2025-04-18
 */
public interface DsLogService
{
    /**
     * 查询数据日志
     *
     * @param id 数据日志主键
     * @return 数据日志
     */
    public DsLogVO selectDsLogById(Long id);

    /**
     * 查询数据日志列表
     *
     * @param dsLog 数据日志
     * @return 数据日志集合
     */
    public List<DsLogVO> selectDsLogList(DsLogQuery dsLog);

    /**
     * 新增数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    public int insertDsLog(DsLog dsLog);

    /**
     * 修改数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    public int updateDsLog(DsLog dsLog);

    /**
     * 批量删除数据日志
     *
     * @param ids 需要删除的数据日志主键集合
     * @return 结果
     */
    public int deleteDsLogByIds(Long[] ids);

    /**
     * 删除数据日志信息
     *
     * @param id 数据日志主键
     * @return 结果
     */
    public int deleteDsLogById(Long id);
}
