package com.ruoyi.bst.dsLog.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.dsLog.domain.DsLog;
import com.ruoyi.bst.dsLog.domain.DsLogQuery;
import com.ruoyi.bst.dsLog.domain.DsLogVO;
import com.ruoyi.bst.dsLog.mapper.DsLogMapper;
import com.ruoyi.bst.dsLog.service.DsLogService;

/**
 * 数据日志Service业务层处理
 *
 * @author ruoyi
 * @date 2025-04-18
 */
@Service
public class DsLogServiceImpl implements DsLogService
{
    @Autowired
    private DsLogMapper dsLogMapper;

    /**
     * 查询数据日志
     *
     * @param id 数据日志主键
     * @return 数据日志
     */
    @Override
    public DsLogVO selectDsLogById(Long id)
    {
        return dsLogMapper.selectDsLogById(id);
    }

    /**
     * 查询数据日志列表
     *
     * @param dsLog 数据日志
     * @return 数据日志
     */
    @Override
    public List<DsLogVO> selectDsLogList(DsLogQuery dsLog)
    {
        return dsLogMapper.selectDsLogList(dsLog);
    }

    /**
     * 新增数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    @Override
    public int insertDsLog(DsLog dsLog)
    {
        return dsLogMapper.insertDsLog(dsLog);
    }

    /**
     * 修改数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    @Override
    public int updateDsLog(DsLog dsLog)
    {
        return dsLogMapper.updateDsLog(dsLog);
    }

    /**
     * 批量删除数据日志
     *
     * @param ids 需要删除的数据日志主键
     * @return 结果
     */
    @Override
    public int deleteDsLogByIds(Long[] ids)
    {
        return dsLogMapper.deleteDsLogByIds(ids);
    }

    /**
     * 删除数据日志信息
     *
     * @param id 数据日志主键
     * @return 结果
     */
    @Override
    public int deleteDsLogById(Long id)
    {
        return dsLogMapper.deleteDsLogById(id);
    }
}
