package com.ruoyi.bst.gateway.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.iot.interfaces.IotDevice;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 网关对象 bst_gateway
 *
 * @author ruoyi
 * @date 2025-04-17
 */
@Data
public class Gateway extends BaseEntity implements IotDevice
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "MAC")
    @ApiModelProperty("MAC")
    private String mac;

    @Excel(name = "在线状态", readConverterExp = "0=离线,1=在线")
    @ApiModelProperty("在线状态")
    private String onlineStatus;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后在线时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最后在线时间")
    private LocalDateTime lastOnlineTime;

    @Excel(name = "物联网卡号") 
    private String imei;

    @Override
    public String mac() {
        return this.mac;
    }

}