package com.ruoyi.bst.gateway.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.gateway.domain.Gateway;
import com.ruoyi.bst.gateway.domain.GatewayQuery;
import com.ruoyi.bst.gateway.domain.GatewayVO;

/**
 * 网关Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public interface GatewayMapper
{
    /**
     * 查询网关
     *
     * @param id 网关主键
     * @return 网关
     */
    GatewayVO selectGatewayById(Long id);

    /**
     * 查询网关列表
     *
     * @param query 网关
     * @return 网关集合
     */
    List<GatewayVO> selectGatewayList(@Param("query")GatewayQuery query);

    /**
     * 新增网关
     *
     * @param gateway 网关
     * @return 结果
     */
    int insertGateway(Gateway gateway);

    /**
     * 修改网关
     *
     * @param gateway 网关
     * @return 结果
     */
    public int updateGateway(@Param("data") Gateway gateway);

    /**
     * 批量修改网关
     *
     * @param list 网关列表
     * @return 结果
     */
    int batchUpdate(@Param("list") List<? extends Gateway> list);

    /**
     * 删除网关
     *
     * @param id 网关主键
     * @return 结果
     */
    int deleteGatewayById(Long id);

    /**
     * 批量删除网关
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGatewayByIds(Long[] ids);
}
