package com.ruoyi.bst.gateway.service;

import java.util.Collections;
import java.util.List;

import com.ruoyi.bst.gateway.domain.GatewayVO;
import com.ruoyi.iot.domain.response.CommandResponse;

public interface GatewayIotService {

    /**
     * 刷新网关物联网信息
     * @param gatewayList 网关列表
     * @param onlineType 在线类型
     */
    void refresh(List<GatewayVO> gatewayList, String onlineType);

    default void refresh(GatewayVO gateway, String onlineType) {
        this.refresh(Collections.singletonList(gateway), onlineType);
    }

    /**
     * 通过网关给设备发送命令
     * @param gatewayMac 网关MAC
     * @param deviceMac 设备MAC
     * @param command 命令
     * @param timeout 超时时间
     * @return 命令响应
     */
    CommandResponse send(String gatewayMac, String deviceMac, String command, Integer timeout);
    
}
