package com.ruoyi.bst.gatewayDevice.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 网关设备对象 bst_gateway_device
 *
 * @author ruoyi
 * @date 2025-04-17
 */
@Data
public class GatewayDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "设备MAC")
    @ApiModelProperty("设备MAC")
    private String deviceMac;

    @Excel(name = "网关MAC")
    @ApiModelProperty("网关MAC")
    private String gatewayMac;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后一次心跳时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最后一次心跳时间")
    private LocalDateTime lastHeartTime;

    @Excel(name = "心跳设置")
    @ApiModelProperty("心跳设置")
    private Integer heartBeat;

}
